/* FLASH.C - LED Flasher for the Phytec KC167 CR Board */

#include <reg167.h>

void wait (void)  {                   /* wait function */
  ;                                   /* only to delay for LED flashes */
}

void main (void)  {
  unsigned int i;                     /* Delay var */
  unsigned int j;                     /* LED var */

  DP2  = 0xFD00;
  ODP2 = 0x0000;

  while (1) {                         /* Loop forever */

    for (j=0x0100; j != 0; j<<=1){    /* Blink LED */
      P2 = ~j & 0xFF00;               /* Output to LED Port */
      for (i = 0; i < 10000; i++)  {  /* Delay for 10000 Counts */
        wait ();                      /* call wait function */
      }
    }

    for (j=0x8000; j>0x0080; j>>=1){  /* Blink LED */
      P2 = ~j & 0xFD00;               /* Output to LED Port */
      for (i = 0; i < 10000; i++)  {  /* Delay for 10000 Counts */
        wait ();                      /* call wait function */
      }
    }
  }
}
